import GIS from './caprigis.js';
import UI from './ui.js';

document.addEventListener('DOMContentLoaded', async () => {
    const init = await GIS.initMap('map');
    let {map, sites} = init;

    UI.addCenterMapControl(map, GIS.CENTER_COORDS, GIS.INIT_ZOOM);
    UI.toggleMenu('siti');
    UI.sitesMenu('.menu-list', map, sites);

    /*
    for (let site of Object.keys(sites)) {
        if (!site.includes('Vincoli')) {
            let layer = sites[site];
            const centerCoords = layer.getBounds().getCenter();
            UI.addSitesControl(map, centerCoords, site, GIS.INIT_ZOOM);
        }
    }
    */
});